import { CommonModule } from '@angular/common';
import { Renderer2, ElementRef, Injectable, Component, NgModule } from '@angular/core';

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class Icon {
    /**
     * @param {?} renderer
     * @param {?} el
     */
    constructor(renderer, el) {
        this.renderer = renderer;
        this.el = el;
    }
    /**
     * @return {?}
     */
    ngOnInit() {
        /** @type {?} */
        const svg = this.el.nativeElement.querySelector('svg');
        this.renderer.setStyle(svg, 'display', 'block');
    }
}
Icon.decorators = [
    { type: Injectable }
];
/** @nocollapse */
Icon.ctorParameters = () => [
    { type: Renderer2 },
    { type: ElementRef }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class CheckMarkComponent extends Icon {
}
CheckMarkComponent.decorators = [
    { type: Component, args: [{
                selector: 'iconmonstr-check-mark',
                template: "<!-- https://iconmonstr.com/check-mark-1-svg/ -->\n<svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\"><path d=\"M20.285 2l-11.285 11.567-5.286-5.011-3.714 3.716 9 8.728 15-15.285z\"/></svg>\n"
            }] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class CrossComponent extends Icon {
}
CrossComponent.decorators = [
    { type: Component, args: [{
                selector: 'iconmonstr-cross',
                template: "<!-- https://iconmonstr.com/x-mark-1-svg/ -->\r\n<svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\"><path d=\"M24 20.188l-8.315-8.209 8.2-8.282-3.697-3.697-8.212 8.318-8.31-8.203-3.666 3.666 8.321 8.24-8.206 8.313 3.666 3.666 8.237-8.318 8.285 8.203z\"/></svg>\r\n"
            }] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class CancelComponent extends Icon {
}
CancelComponent.decorators = [
    { type: Component, args: [{
                selector: 'iconmonstr-cancel',
                template: "<!-- https://iconmonstr.com/x-mark-4-svg/ -->\n<svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\"><path d=\"M12 0c-6.627 0-12 5.373-12 12s5.373 12 12 12 12-5.373 12-12-5.373-12-12-12zm4.151 17.943l-4.143-4.102-4.117 4.159-1.833-1.833 4.104-4.157-4.162-4.119 1.833-1.833 4.155 4.102 4.106-4.16 1.849 1.849-4.1 4.141 4.157 4.104-1.849 1.849z\"/></svg>\n"
            }] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class MagnifierComponent extends Icon {
}
MagnifierComponent.decorators = [
    { type: Component, args: [{
                selector: 'iconmonstr-magnifier',
                template: "<!-- https://iconmonstr.com/magnifier-2-svg/ -->\r\n<svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\"><path d=\"M23.809 21.646l-6.205-6.205c1.167-1.605 1.857-3.579 1.857-5.711 0-5.365-4.365-9.73-9.731-9.73-5.365 0-9.73 4.365-9.73 9.73 0 5.366 4.365 9.73 9.73 9.73 2.034 0 3.923-.627 5.487-1.698l6.238 6.238 2.354-2.354zm-20.955-11.916c0-3.792 3.085-6.877 6.877-6.877s6.877 3.085 6.877 6.877-3.085 6.877-6.877 6.877c-3.793 0-6.877-3.085-6.877-6.877z\"/></svg>\r\n"
            }] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class ArrowLeftComponent extends Icon {
}
ArrowLeftComponent.decorators = [
    { type: Component, args: [{
                selector: 'iconmonstr-arrow-left',
                template: "<!-- https://iconmonstr.com/arrow-20-svg/ -->\r\n<svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\">\r\n    <path d=\"M10.98 1L13.82 3.83L7.65 10L24 10L24 14L7.65 14L13.82 20.17L10.98 23L0 12L10.98 1Z\"></path>\r\n</svg>\r\n"
            }] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class ArrowRightComponent extends Icon {
}
ArrowRightComponent.decorators = [
    { type: Component, args: [{
                selector: 'iconmonstr-arrow-right',
                template: "<!-- https://iconmonstr.com/arrow-20-svg/ -->\r\n<svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\">\r\n    <path d=\"M13.025 1l-2.847 2.828 6.176 6.176h-16.354v3.992h16.354l-6.176 6.176 2.847 2.828 10.975-11z\" />\r\n</svg>\r\n"
            }] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NgxIconmonstrModule {
}
NgxIconmonstrModule.decorators = [
    { type: NgModule, args: [{
                declarations: [
                    CheckMarkComponent,
                    CrossComponent,
                    CancelComponent,
                    MagnifierComponent,
                    ArrowLeftComponent,
                    ArrowRightComponent
                ],
                imports: [
                    CommonModule,
                ],
                exports: [
                    CheckMarkComponent,
                    CrossComponent,
                    CancelComponent,
                    MagnifierComponent,
                    ArrowLeftComponent,
                    ArrowRightComponent
                ]
            },] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

export { NgxIconmonstrModule, Icon, CheckMarkComponent, CrossComponent, CancelComponent, MagnifierComponent, ArrowLeftComponent, ArrowRightComponent };

//# sourceMappingURL=ngx-iconmonstr.js.map